<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://unpkg.com/vue"></script>
    <title>Document</title>
</head>
<body>
    <div id="root">
      
        <p>tăng giá trị a:{{tanga}}</p> <p>{{a}}</p>
        <p>tăng giá trị b:{{tangb}}</p><p>{{b}}</p>
        <p>{{sum()}}</p>
        <button type="button" @click="a++">tăng a</button>
        <button type="button" @click="b++">tăng b</button>
    </div> 
    <script>
        // sử dụng computed để xử lý
    new Vue({
        el:"#root",
        data:{
            a:0,
            b:0,
            first_name:'Đinh',
            last_name:'Trường',
            sum: function(){
                a=this.a,b=2
                alert('tính tổng a và b');
                 return s=a+b;
            }
        },
        computed: {
            // fullname: function(){
            //     console.log('tên tôi là:'+ this.first_name+ '' + this.last_name )
            // },
            tanga: function(){
                
                console.log('tănga')
                return this.a
            },
            tangb: function(){
                console.log('tăngb')
                return this.b
            }
        },
        methods: {
            // tanga: function(){
            //     console.log('tăng a')
            //     return this.a
            // },
            // tangb: function(){
            //     console.log('tăng b')
            //     return this.b
            // },
            // fullname: function(){
            //     console.log('tên tôi là:'+ this.first_name+ '' + this.last_name )
            // },
        },
        watch: {
            a: function(){
                alert('giá trị a vừa được thay đổi!')
            },
            sum: function(){//
                console.log('tổng đã được thay đổi')
            }
        },
    })    
    </script>
</body>
</html>